[Numpy-discussion] Numpy-1.0.3 RPM install failure on SUSE 10.2

rex rex@nosyntax....
Sat Jun 9 10:39:19 CDT 2007


David Cournapeau <david@ar.media.kyoto-u.ac.jp> [2007-06-09 06:35]:
> rex wrote:
> >
> > I've been using SUSE since version
> > 6.4, and it's always a battle to get Numpy/SciPy running. 
>
> This is really Suse fault, honnestly. As Fedora, they have mostly broken 
> blas or lapack, or at least had for a long time. 

Yes, I know. They have released some very broken versions recently. 10.1
was so bad that they remastered it. 10.2 will not install from a SATA
CD/DVD without an obscure trick. The bug was reported a number of times,
but the priority was set so low -- even after it was pointed out that it
is a show-stopper for most people -- that it did not get
fixed. Software installs from YAST are extremely tedious. 10.3 is
supposed to be better, but who knows?

> I would go as far as 
> advising you to install a distribution which packages its software 
> correctly, like debian: you can install it on par with your opensuse by 
> using a chroot jail, or any other mean.
>

I tried Debian a couple of years ago and the Devil I know (somewhat)
seemed a better choice. Perhaps I should try again.

> > distutils.errors.DistutilsPlatformError: invalid Python installation: unable to open /usr/lib/python2.5/config/Makefile (No such file or
> > +directory)
> Did you install python-devel, or something like this ?

Ah, I had this problem the last time also, and Robert Kern kindly
suggested the same thing. I'd totally forgotten about it. :(

> > There is a science repository linked from http://www.scipy.org/Installing_SciPy/Linux
> >
> > http://repos.opensuse.org/science/
> >
> > I tried to install from the RPMs there, but the recursive dependency
> > chain broke when a gfortran lib that isn't there was required. I also
> > wonder if there was ANY testing by the packagers.
> >
> > http://software.opensuse.org/download/home:/ashigabou
> >
> > Times out. :( 
>
> Unfortunately, there seems to be a lot of server issues on the service...

Today it responded and I installed Numpy, LAPACK and refblas from there
using the Smart package manager. It works. :)

Python 2.5 (r25:51908, Nov 27 2006, 19:14:46)
[GCC 4.1.2 20061115 (prerelease) (SUSE Linux)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import numpy
>>> numpy.test()
  Found 5 tests for numpy.distutils.misc_util
  Found 3 tests for numpy.lib.getlimits
  Found 31 tests for numpy.core.numerictypes
  Found 32 tests for numpy.linalg
  Found 13 tests for numpy.core.umath
  Found 4 tests for numpy.core.scalarmath
  Found 9 tests for numpy.lib.arraysetops
  Found 42 tests for numpy.lib.type_check
  Found 188 tests for numpy.core.multiarray
  Found 3 tests for numpy.fft.helper
  Found 36 tests for numpy.core.ma
  Found 1 tests for numpy.lib.ufunclike
  Found 1 tests for numpy.fft.fftpack
  Found 12 tests for numpy.lib.twodim_base
  Found 10 tests for numpy.core.defmatrix
  Found 4 tests for numpy.ctypeslib
  Found 41 tests for numpy.lib.function_base
  Found 2 tests for numpy.lib.polynomial
  Found 9 tests for numpy.core.records
  Found 29 tests for numpy.core.numeric
  Found 4 tests for numpy.lib.index_tricks
  Found 47 tests for numpy.lib.shape_base
  Found 0 tests for __main__
----------------------------------------------------------------------
Ran 526 tests in 0.474s

OK
>>>

Thanks much for the help. Now, I'm going to try to build from source
again using MKL. I'd forgotten that I posted what I had to do to make it
work on 24 Jan 2007. 

-rex



More information about the Numpy-discussion mailing list